Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.monitoring.core.v2
Class ExtensionType

    java.lang.Object
      be.fgov.ehealth.monitoring.core.v2.ExtensionType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T09:03:55+02:00",
               comments="JAXB RI v2.2.11")
    public class ExtensionType

extends Object
implements Serializable

Extended information on a monitoring result.

Java class for ExtensionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ExtensionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Element" type="{urn:be:fgov:ehealth:monitoring:core:v2}ElementType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ExtensionType()`

Method Summary
`List<ElementType>` | `getElements()` Gets the value of the elements property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensionType

    public ExtensionType()

Method Detail

### getElements

    public List<ElementType> getElements()

  Gets the value of the elements property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the elements property.

  For example, to add a new item, do as follows:

          getElements().add(newItem);

  Objects of the following type(s) are allowed in the list `ElementType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.